{% extends 'musiques/base.html' %}
{% block title %} Liste des morceaux{% endblock %}
{% block contenu %}

    <a href="{% url 'musiques:morceau_form' %}">
        <button class="btn btn-primary"> Ajouter morceau </button>
    </a>
    
        <button onclick="confirmDelete()" class="btn btn-danger">
            <a href="{% url 'musiques:morceau_deleteall' %}" id="delall">
                <i class="glyphicon glyphicon-trash"></i> Supprimer tous les morceaux
            </a>
        </button>
    

    <ul class="list-group">
    {% for morceau in morceaux %}
        <li class="list-group-item">
            <a href="{% url 'musiques:morceau_detail' morceau.pk %}">{{morceau.titre}} ({{morceau.artiste}}) </a>
            <a href="{% url 'musiques:morceau_delete' morceau.pk %}" class="droite"> <button class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i> </button> </a>
            <a href="{% url 'musiques:morceau_update' morceau.pk %}" class="droite"> <button class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> </button> </a>
        </li>
    {% endfor %}
  </ul>


  <script>
    function confirmDelete() {
        let conf = confirm("Êtes-vous sûr de vouloir supprimer tous les morceaux ?");
        if(conf) { // oui            
            document.querySelector("#delall").click();
        }
    }
    </script>

{% endblock %}
